@import url("https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:wght@400;500;700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* hide number input arrow */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

body {
  font-family: "Be Vietnam Pro", sans-serif;
}
.container {
  padding: 0.75rem;
  max-width: 1000px;
  margin: 0 auto;
}

header {
  text-align: center;
  margin-top: 2rem;
}
.cyan {
  color: #02a1b1;
}
.red {
  color: #ff5705;
}
.flex {
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: center;
}

.counter-container {
  margin-top: 2rem;
}
.counter {
  background: #e8f9f5;
  padding: 0.5rem;
  max-width: 360px;
  text-align: center;
  border: 1px solid #e5e5e5;
  border-radius: 5px;
  margin-block: 1.5rem;
  margin-inline: auto;
  position: relative;
  /* box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px; */
  /* box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px; */
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}
.display {
  font-size: 2.2rem;
  font-weight: 700;
  margin-block: 0.5rem;
}
input {
  margin-block: 0.5rem;
  font-size: 25px;
  text-align: center;
  width: 100px;
  border-radius: 5px;
  outline: none;
  border: 1px solid #e5e5e5;
  padding: 5px 12px;
}
.btn {
  font-size: 20px;
  padding: 8px 10px;
  border: none;
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
}
.increment-btn {
  background: #02a1b1;
}

.decrement-btn {
  background: #ff5705;
}
.add-counter-btn {
  background-color: #009146;
}
.reset-btn {
  background-color: #ffc107e2;
}
.close {
  border: none;
  background-color: #ff3305;
  color: #fff;
  width: 30px;
  height: 30px;
  font-size: 10px;
  border-radius: 50%;
  position: absolute;
  top: 5px;
  right: 5px;
  cursor: pointer;
  /* transform: translate(33.33%, -33.33%); */
}
.material-symbols-outlined {
  font-size: 26px !important;
}
